<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de l&#39;espace de nommage src.db</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacesrc_1_1db.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence de l'espace de nommage src.db</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a0df14ce45b703f8486dc9205ac9246ad"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a0df14ce45b703f8486dc9205ac9246ad">openDb</a> ()</td></tr>
<tr class="memdesc:a0df14ce45b703f8486dc9205ac9246ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ouverture de la base de données de l'application, et création si nécessaire.  <a href="namespacesrc_1_1db.html#a0df14ce45b703f8486dc9205ac9246ad">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0df14ce45b703f8486dc9205ac9246ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada90bce10163107c35dd61955edf9307"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#ada90bce10163107c35dd61955edf9307">checkVersion</a> (major, minor)</td></tr>
<tr class="separator:ada90bce10163107c35dd61955edf9307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cce1a7772d666bb9c52a2d4ba22c9cd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a4cce1a7772d666bb9c52a2d4ba22c9cd">hasStudent</a> (student)</td></tr>
<tr class="memdesc:a4cce1a7772d666bb9c52a2d4ba22c9cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">vérifie qu'un étudiant est déjà connu  <a href="namespacesrc_1_1db.html#a4cce1a7772d666bb9c52a2d4ba22c9cd">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4cce1a7772d666bb9c52a2d4ba22c9cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a708cc3325644f79a8da6817cf131e3e8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a708cc3325644f79a8da6817cf131e3e8">knowsId</a> (stickid, uuid, tattoo)</td></tr>
<tr class="memdesc:a708cc3325644f79a8da6817cf131e3e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">dit si une clé USB est déjà connue  <a href="namespacesrc_1_1db.html#a708cc3325644f79a8da6817cf131e3e8">Plus de détails...</a><br /></td></tr>
<tr class="separator:a708cc3325644f79a8da6817cf131e3e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2734729596ad4aa825ed66b97ddd7209"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a2734729596ad4aa825ed66b97ddd7209">tattooList</a> ()</td></tr>
<tr class="memdesc:a2734729596ad4aa825ed66b97ddd7209"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie la liste des tatouages connus de la base de données.  <a href="namespacesrc_1_1db.html#a2734729596ad4aa825ed66b97ddd7209">Plus de détails...</a><br /></td></tr>
<tr class="separator:a2734729596ad4aa825ed66b97ddd7209"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9afc0ee6dce3ce82783bb0aaa349532f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a9afc0ee6dce3ce82783bb0aaa349532f">readStudent</a> (stickid, uuid, tattoo)</td></tr>
<tr class="memdesc:a9afc0ee6dce3ce82783bb0aaa349532f"><td class="mdescLeft">&#160;</td><td class="mdescRight">renvoie l'étudiant qui possède une clé USB  <a href="namespacesrc_1_1db.html#a9afc0ee6dce3ce82783bb0aaa349532f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9afc0ee6dce3ce82783bb0aaa349532f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a44074f833d8283643343b09cff02b6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a1a44074f833d8283643343b09cff02b6">readPrefs</a> ()</td></tr>
<tr class="memdesc:a1a44074f833d8283643343b09cff02b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">renvoie les préférences de ScolaSync  <a href="namespacesrc_1_1db.html#a1a44074f833d8283643343b09cff02b6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1a44074f833d8283643343b09cff02b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6f363fccebc105cf7ca85bdb5eccdc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#ada6f363fccebc105cf7ca85bdb5eccdc">setWd</a> (newDir)</td></tr>
<tr class="memdesc:ada6f363fccebc105cf7ca85bdb5eccdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">définit le nouveau nom du répertoire de travail préféré.  <a href="namespacesrc_1_1db.html#ada6f363fccebc105cf7ca85bdb5eccdc">Plus de détails...</a><br /></td></tr>
<tr class="separator:ada6f363fccebc105cf7ca85bdb5eccdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88098a0a4df23901dffda6197968088"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#ab88098a0a4df23901dffda6197968088">writeStudent</a> (stickid, uuid, tattoo, student)</td></tr>
<tr class="memdesc:ab88098a0a4df23901dffda6197968088"><td class="mdescLeft">&#160;</td><td class="mdescRight">inscrit un étudiant comme propriétaire d'une clé USB  <a href="namespacesrc_1_1db.html#ab88098a0a4df23901dffda6197968088">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab88098a0a4df23901dffda6197968088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6628948dc0e29baf0d368288dbb676be"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a6628948dc0e29baf0d368288dbb676be">writePrefs</a> (prefs)</td></tr>
<tr class="memdesc:a6628948dc0e29baf0d368288dbb676be"><td class="mdescLeft">&#160;</td><td class="mdescRight">inscrit les préférences  <a href="namespacesrc_1_1db.html#a6628948dc0e29baf0d368288dbb676be">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6628948dc0e29baf0d368288dbb676be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa073cf63c80489da19924aaa911726f3"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#aa073cf63c80489da19924aaa911726f3">licence</a> = {}</td></tr>
<tr class="separator:aa073cf63c80489da19924aaa911726f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11a7f300f3f10c0ab24cf7b95cc4e5b2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a11a7f300f3f10c0ab24cf7b95cc4e5b2">database</a> = None</td></tr>
<tr class="separator:a11a7f300f3f10c0ab24cf7b95cc4e5b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23dd9ed4abbc2dcd952158347944fe39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a23dd9ed4abbc2dcd952158347944fe39">cursor</a> = None</td></tr>
<tr class="separator:a23dd9ed4abbc2dcd952158347944fe39"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="ada90bce10163107c35dd61955edf9307"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada90bce10163107c35dd61955edf9307">&#9670;&nbsp;</a></span>checkVersion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.checkVersion </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>major</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>minor</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00054">54</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1db_ada90bce10163107c35dd61955edf9307_icgraph.png" border="0" usemap="#namespacesrc_1_1db_ada90bce10163107c35dd61955edf9307_icgraph" alt=""/></div>
<map name="namespacesrc_1_1db_ada90bce10163107c35dd61955edf9307_icgraph" id="namespacesrc_1_1db_ada90bce10163107c35dd61955edf9307_icgraph">
<area shape="rect" title=" " alt="" coords="324,5,463,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#a0df14ce45b703f8486dc9205ac9246ad" title="Ouverture de la base de données de l&#39;application, et création si nécessaire." alt="" coords="172,5,276,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#a6628948dc0e29baf0d368288dbb676be" title="inscrit les préférences" alt="" coords="5,5,124,32"/>
</map>
</div>

</div>
</div>
<a id="a4cce1a7772d666bb9c52a2d4ba22c9cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cce1a7772d666bb9c52a2d4ba22c9cd">&#9670;&nbsp;</a></span>hasStudent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.hasStudent </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>student</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>vérifie qu'un étudiant est déjà connu </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">student</td><td>propriétaire du baladeur </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>True si le propriétaire existe déjà </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00075">75</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
<a id="a708cc3325644f79a8da6817cf131e3e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a708cc3325644f79a8da6817cf131e3e8">&#9670;&nbsp;</a></span>knowsId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.knowsId </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>stickid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>uuid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tattoo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>dit si une clé USB est déjà connue </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">stickid</td><td>un identifiant de baladeur </td></tr>
    <tr><td class="paramname">uuid</td><td>un identifiant de partition </td></tr>
    <tr><td class="paramname">tattoo</td><td>un tatouage de partition </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>un booléen vrai si la clé USB est connue, faux sinon </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00087">87</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1db_a708cc3325644f79a8da6817cf131e3e8_icgraph.png" border="0" usemap="#namespacesrc_1_1db_a708cc3325644f79a8da6817cf131e3e8_icgraph" alt=""/></div>
<map name="namespacesrc_1_1db_a708cc3325644f79a8da6817cf131e3e8_icgraph" id="namespacesrc_1_1db_a708cc3325644f79a8da6817cf131e3e8_icgraph">
<area shape="rect" title="dit si une clé USB est déjà connue" alt="" coords="187,5,296,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#ab88098a0a4df23901dffda6197968088" title="inscrit un étudiant comme propriétaire d&#39;une clé USB" alt="" coords="5,5,139,32"/>
</map>
</div>

</div>
</div>
<a id="a0df14ce45b703f8486dc9205ac9246ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0df14ce45b703f8486dc9205ac9246ad">&#9670;&nbsp;</a></span>openDb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.openDb </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ouverture de la base de données de l'application, et création si nécessaire. </p>
<dl class="section return"><dt>Renvoie</dt><dd>une instance de base de données sqlite3 </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00035">35</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_cgraph.png" border="0" usemap="#namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_cgraph" alt=""/></div>
<map name="namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_cgraph" id="namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_cgraph">
<area shape="rect" title="Ouverture de la base de données de l&#39;application, et création si nécessaire." alt="" coords="5,5,109,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#ada90bce10163107c35dd61955edf9307" title=" " alt="" coords="157,5,296,32"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_icgraph.png" border="0" usemap="#namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_icgraph" alt=""/></div>
<map name="namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_icgraph" id="namespacesrc_1_1db_a0df14ce45b703f8486dc9205ac9246ad_icgraph">
<area shape="rect" title="Ouverture de la base de données de l&#39;application, et création si nécessaire." alt="" coords="172,5,276,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#a6628948dc0e29baf0d368288dbb676be" title="inscrit les préférences" alt="" coords="5,5,124,32"/>
</map>
</div>

</div>
</div>
<a id="a1a44074f833d8283643343b09cff02b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a44074f833d8283643343b09cff02b6">&#9670;&nbsp;</a></span>readPrefs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.readPrefs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>renvoie les préférences de ScolaSync </p>
<dl class="section return"><dt>Renvoie</dt><dd>un dictionnaire de préférences </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00117">117</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
<a id="a9afc0ee6dce3ce82783bb0aaa349532f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9afc0ee6dce3ce82783bb0aaa349532f">&#9670;&nbsp;</a></span>readStudent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.readStudent </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>stickid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>uuid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tattoo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>renvoie l'étudiant qui possède une clé USB </p>
<dl class="section return"><dt>Renvoie</dt><dd>un nom d'étudiant ou None si la clé est inconnue </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00104">104</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
<a id="ada6f363fccebc105cf7ca85bdb5eccdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada6f363fccebc105cf7ca85bdb5eccdc">&#9670;&nbsp;</a></span>setWd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.setWd </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>newDir</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>définit le nouveau nom du répertoire de travail préféré. </p>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00145">145</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
<a id="a2734729596ad4aa825ed66b97ddd7209"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2734729596ad4aa825ed66b97ddd7209">&#9670;&nbsp;</a></span>tattooList()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.tattooList </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie la liste des tatouages connus de la base de données. </p>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00095">95</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
<a id="a6628948dc0e29baf0d368288dbb676be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6628948dc0e29baf0d368288dbb676be">&#9670;&nbsp;</a></span>writePrefs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.writePrefs </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>prefs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>inscrit les préférences </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">prefs</td><td>un dictionnaire {"checkable": booléen toujours vrai, "workdir" : le répertoire préféré pour les fichiers de travail} </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00169">169</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1db_a6628948dc0e29baf0d368288dbb676be_cgraph.png" border="0" usemap="#namespacesrc_1_1db_a6628948dc0e29baf0d368288dbb676be_cgraph" alt=""/></div>
<map name="namespacesrc_1_1db_a6628948dc0e29baf0d368288dbb676be_cgraph" id="namespacesrc_1_1db_a6628948dc0e29baf0d368288dbb676be_cgraph">
<area shape="rect" title="inscrit les préférences" alt="" coords="5,5,124,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#a0df14ce45b703f8486dc9205ac9246ad" title="Ouverture de la base de données de l&#39;application, et création si nécessaire." alt="" coords="172,5,276,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#ada90bce10163107c35dd61955edf9307" title=" " alt="" coords="324,5,463,32"/>
</map>
</div>

</div>
</div>
<a id="ab88098a0a4df23901dffda6197968088"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab88098a0a4df23901dffda6197968088">&#9670;&nbsp;</a></span>writeStudent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.db.writeStudent </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>stickid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>uuid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tattoo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>student</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>inscrit un étudiant comme propriétaire d'une clé USB </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">student</td><td>un nom d'étudiant </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00154">154</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1db_ab88098a0a4df23901dffda6197968088_cgraph.png" border="0" usemap="#namespacesrc_1_1db_ab88098a0a4df23901dffda6197968088_cgraph" alt=""/></div>
<map name="namespacesrc_1_1db_ab88098a0a4df23901dffda6197968088_cgraph" id="namespacesrc_1_1db_ab88098a0a4df23901dffda6197968088_cgraph">
<area shape="rect" title="inscrit un étudiant comme propriétaire d&#39;une clé USB" alt="" coords="5,5,139,32"/>
<area shape="rect" href="namespacesrc_1_1db.html#a708cc3325644f79a8da6817cf131e3e8" title="dit si une clé USB est déjà connue" alt="" coords="187,5,296,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des variables</h2>
<a id="a23dd9ed4abbc2dcd952158347944fe39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23dd9ed4abbc2dcd952158347944fe39">&#9670;&nbsp;</a></span>cursor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.db.cursor = None</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00029">29</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
<a id="a11a7f300f3f10c0ab24cf7b95cc4e5b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11a7f300f3f10c0ab24cf7b95cc4e5b2">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.db.database = None</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00028">28</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
<a id="aa073cf63c80489da19924aaa911726f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa073cf63c80489da19924aaa911726f3">&#9670;&nbsp;</a></span>licence</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dictionary src.db.licence = {}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="db_8py_source.html#l00003">3</a> du fichier <a class="el" href="db_8py_source.html">db.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1db.html">db</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
